package cn.com.poc.thirdparty.resource.demand.ai.function.bing_web_search;

import cn.com.poc.agent_application.entity.KnowledgeContentResult;
import cn.com.poc.agent_application.entity.Variable;
import cn.com.poc.thirdparty.resource.demand.ai.entity.dbchain.DBChainResult;
import cn.com.poc.thirdparty.resource.demand.ai.function.AbstractFunctionResult;
import cn.com.poc.thirdparty.resource.demand.ai.function.AbstractLargeModelFunction;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author alex.yao
 * @date 2025/1/14
 */
@Component
public class BingWebSearchFunction extends AbstractLargeModelFunction {

    @Override
    public AbstractFunctionResult doFunction(String content, String identifier, List<DBChainResult> dbChainResults, List<KnowledgeContentResult> knowledgeContentResults) {
        return null;
    }

    @Override
    public String getDesc() {
        return null;
    }

    @Override
    public List<String> getLLMConfig() {
        return null;
    }

    @Override
    public List<String> getLLMConfig(List<Variable> variableStructure) {
        return null;
    }
}
